3 Replies Latest reply on Mar 11, 2008 8:15 PM by Siarhei Dudzin

    Dependency error with maven

    Alexandre Russel Newbie

      Hi,
      Just in case someone run in the same kind of problem.
      I had to exclude deployers-client-spi from jboss-embedded-spi,
      otherwise if it was getting first on class path it would bring a binary
      incompatible version of ContextInfo.


      
         <dependency>
            <groupId>org.jboss.seam.embedded</groupId>
            <artifactId>hibernate-all</artifactId>
            <version>beta3</version>
          </dependency>
          <dependency>
            <groupId>org.jboss.seam.embedded</groupId>
            <artifactId>jboss-embedded-all</artifactId>
            <version>beta3</version>
          </dependency>
          <dependency>
            <groupId>org.jboss.seam.embedded</groupId>
            <artifactId>jboss-embedded-api</artifactId>
            <version>beta3</version>
            <exclusions>
              <exclusion>
                <groupId>org.jboss.microcontainer</groupId>
                <artifactId>jboss-deployers-client-spi</artifactId>
              </exclusion>
            </exclusions>
          </dependency>
          <dependency>
            <groupId>org.jboss.seam.embedded</groupId>
            <artifactId>thirdparty-all</artifactId>
            <version>beta3</version>
          </dependency>
      


      The error I had was:


      Caused by: java.lang.NoSuchMethodError:
      org.jboss.deployers.spi.structure.ContextInfo.getMetaDataPath()Ljava/util/List;
              at
      org.jboss.deployers.vfs.plugins.structure.VFSStructureBuilder.applyContextInfo(VFSStructureBuilder.java:93)
              at
      org.jboss.deployers.structure.spi.helpers.AbstractStructureBuilder.populateContext(AbstractStructureBuilder.java:73)
              ... 64 more